import { useEffect, useRef } from 'react';

// 自定义 Hook: 记录上次的值
function usePrevious(value: any) {
  const ref = useRef(); // 创建一个 ref 来保存上一次的值

  useEffect(() => {
    // 在每次渲染后将当前值存入 ref
    ref.current = value;
  }, [value]); // 仅在 value 改变时更新

  // 返回上一次的值
  return ref.current;
}

export default usePrevious;