import { request } from '@umijs/max';
import { api } from '../api';
console.log(api,process.env.NODE_ENV)
interface LoginByPwdProps {
  username: string,//账号
  password: string,//密码
}
/** 账号密码登录
 * @param {object} data
 * @param {string} data.username 账号
 * @param {string} data.password 密码
 */
export async function loginByPwd(data: LoginByPwdProps) {
  return request(api + '/admin/login/loginByPwd', {
    method: 'POST',
    data
  });
}
interface LoginByPCodeProps {
  phoneNum: string,//手机
  code: string,//验证码
}
/** 手机登录
 * @param {object} data
 * @param {string} data.phoneNum 手机
 * @param {string} data.code 验证码
 */
export async function loginByPCode(data: LoginByPCodeProps) {
  return request(api + '/admin/login/loginByPCode', {
    method: 'POST',
    data
  });
}

/** 获取用户信息
 */
export async function getUserInfo() {
  return request(api + '/admin/login/getUserInfo', {
    method: 'GET',
  });
}

/** 获取手机验证码
 */
export async function getPCode(phone: string) {
  return request(api + `/admin/login/getPCode?phoneNum=${phone}`, {
    method: 'GET',
  });
}
/** 退出登录
 */
export async function logOut() {
  return request(api + `/admin/login/logout`, {
    method: 'DELETE',
  });
}
